Menu Chiudi

Vmail su PHP 5.6

vmailIl problema che si presentò alcuni anni fa relativamente al cessato funzionamento dello script di amministrazione web degli account email sul server di posta del LoneStar Network, e che avevo aggirato tramite una configurazione che utilizzava il PHP 5.3 solo per il relativo virtual host, inaspettatamente ha trovato oggi una soluzione migliore.

Tornando per l’ennesima volta sul sito di riferimento dello script, ormai abbandonato da anni, mi sono reso conto che nel 2014 qualcuno aveva pubblicato una patch che eliminava la necessità dell’opzione php deprecata register_globals=on, e che quindi rende lo script funzionante con le versioni correnti di PHP 5.

Pur non essendo stata confermata dall’autore originale, la patch è valida e dopo averla applicata Vmail adesso funziona regolarmente con il PHP 5.6 senza ulteriori problemi!

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.

Creative Commons License Website Security Test
%d blogger hanno fatto clic su Mi Piace per questo: